Skip to main content
POST
Get Or Create Session

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_id
string
required

Body

application/json

Session creation parameters

id
string
required
Required string length: 1 - 512
Pattern: ^[a-zA-Z0-9_-]+$
metadata
Metadata · object | null
peers
Peers · object | null
configuration
SessionConfiguration · object | null

The set of options that can be in a session DB-level configuration dictionary.

All fields are optional. Session-level configuration overrides workspace-level configuration, which overrides global configuration.

scopes
string[] | null

Optional list of (unprefixed) scope names to add this session to. Each scope is created if it does not exist yet. If the session already has messages, its existing documents are backfilled into the scope asynchronously.

Maximum array length: 100

Response

Successful Response

id
string
required
is_active
boolean
required
workspace_id
string
required
created_at
string<date-time>
required
metadata
Metadata · object
configuration
Configuration · object